using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wClub_Reg_hand2:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:26
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("手工注册提交","网站页面","手工注册提交",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();
		if(!Convert.ToBoolean(程序.设置["注册用户_是否开启注册"]))
			throw new Exception(Convert.ToString(程序.设置["注册用户_暂停注册提示"]));
		if(!Convert.ToBoolean(程序.设置["注册用户_是否启用手工注册"]))
			throw new Exception("手工注册尚未启用");
		if(!Convert.ToBoolean(Request.QueryString["En"]))
		{
		if(Convert.ToBoolean(程序.设置["是否防止恶意手工注册"]))
		{
			SqlCommand Club_ShouGongZhuCe2_语句=new SqlCommand("SELECT [ID] FROM ["+程序.数据表前缀+"社区_用户] WHERE [最后登录IP]=@最后登录IP AND [创建时间]>@创建时间",访问.连接);
			Club_ShouGongZhuCe2_语句.Parameters.Add("@最后登录IP",SqlDbType.NVarChar).Value=Request.UserHostAddress;
			Club_ShouGongZhuCe2_语句.Parameters.Add("@创建时间",SqlDbType.DateTime).Value=DateTime.Now-new TimeSpan(0,30,0);
			SqlDataReader Club_ShouGongZhuCe2_读取=Club_ShouGongZhuCe2_语句.ExecuteReader();
			bool Club_ShouGongZhuCe2_是否存在=Club_ShouGongZhuCe2_读取.HasRows;
			Club_ShouGongZhuCe2_读取.Close();
			if(Club_ShouGongZhuCe2_是否存在)
				throw new Exception("您刚才已经注册了一个账号，不能重复注册。");
		}
			用户 Club_ShouGongZhuCe2_用户=new 用户(this.Context,访问.连接);
			int YHID;
			String 标识=Club_ShouGongZhuCe2_用户.增加用户(out YHID);
			Club_ShouGongZhuCe2_用户.奖励积分(YHID,
				Convert.ToInt32(程序.设置["注册用户_注册后赠送积分"]),
				Convert.ToBoolean(程序.设置["注册用户_注册成功后消息提醒"]),
				Convert.ToString(程序.设置["注册用户_注册成功消息内容"]));
			Response.Redirect(常用.处理地址("Reg_hand2.aspx?En=true",标识));
		}
		访问.验证会员();
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>

<card title=""手工注册成功"" id=""main"" ontimer=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/User_Default.aspx",访问.用户["标识"].ToString())));
		返回值.Append(@""">
<timer value=""20"" />
<p>






注册成功<br/>
<br/>
ＩＤ:");
		返回值.Append(访问.用户["ID"].ToString());
		返回值.Append(@"
<br/>
昵称:");
		返回值.Append(Server.HtmlEncode(访问.用户["昵称"].ToString()));
		返回值.Append(@"<br/>
我的:<a href=""Message.aspx?");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">消息</a>.<a href=""Collection.aspx?");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">收藏夹</a><br/><br/>

正在自动跳转到个人中心，如果浏览器无反应<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/User_Default.aspx",访问.用户["标识"].ToString())));
		返回值.Append(@""">点击此处进入</a><br/>

<br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"club/page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回社区首页</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>
");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"






</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
}